/global-networks/{globalNetworkId}/customer-gateway-associations
http://networkmanager.{region}.amazonaws.com/global-networks/{globalNetworkId}/customer-gateway-associationsGets the association information for customer gateways that are associated with devices and links in your global network.
Path Parameters
The ID of the global network.
Query Params
One or more customer gateway Amazon Resource Names (ARNs). The maximum is 10.
The maximum number of results to return.
The token for the next page of results.
Pagination limit
Pagination token
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://networkmanager.{region}.amazonaws.com/global-networks/{globalNetworkId}/customer-gateway-associations' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}